## org.eclipse.datatools.enablement.sybase.ui.util
Class DSEContentProviderUtil

    java.lang.Object
      org.eclipse.datatools.enablement.sybase.ui.util.DSEContentProviderUtil

Direct Known Subclasses:
  ASEContentProviderUtil

    public class DSEContentProviderUtil

extends java.lang.Object

Author:
  David Cui

Field Summary
`static java.lang.String` `CHECK_CONSTRAINT_FOLDER`
`static java.lang.String` `COLUMN`
`static java.lang.String` `CONSTRAINT`
`static java.lang.String` `DEPENDENCY`
`static java.lang.String` `FOREIGN_KEY_FOLDER`
`static java.lang.String` `INDEX`
`static org.eclipse.datatools.connectivity.sqm.core.internal.ui.explorer.services.IVirtualNodeServiceFactory` `nodeFactory`
`static java.lang.String` `PRIMARY_KEY_FOLDER`
`static org.eclipse.datatools.connectivity.sqm.server.internal.ui.util.resources.ResourceLoader` `resourceLoader`
`static java.lang.String` `TRIGGER`
`static java.lang.String` `UNIQUE_CONSTRAINT_FOLDER`

Constructor Summary
`DSEContentProviderUtil()`

Method Summary
`static java.util.List` `appendOwnerToLabel(java.util.List sqlObjects, java.lang.String owner, boolean isShowOwner)`
`static java.lang.String` `appendOwnerToLabel(SQLObject element)`
`static java.lang.String` `appendOwnerToLabel(java.lang.String label, java.lang.String owner)`
`static java.lang.Object[]` `getArrays(java.lang.Object parent, java.util.Collection collection)`
`static java.lang.Object[]` `getConstraintNodeChildren(java.lang.Object parent)`
`static java.lang.String` `getParameterDisplayNameFormatedText(java.lang.Object obj)` Display the primitive data type definition in display of UDT name
`static java.lang.Object[]` `getProxyTableChildren(java.lang.Object parent)`
`static java.lang.Object[]` `getTableChildren(java.lang.Object parent)`
`static java.lang.String` `getUDTDisplayNameFormatedText(java.lang.Object obj)` Display the primitive data type definition in display of UDT name
`static java.lang.Object[]` `getViewTableChildren(java.lang.Object parent)`
`static boolean` `isObjectRenamed(SQLObject sqlObject)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### resourceLoader

    public static org.eclipse.datatools.connectivity.sqm.server.internal.ui.util.resources.ResourceLoader resourceLoader

### nodeFactory

    public static final org.eclipse.datatools.connectivity.sqm.core.internal.ui.explorer.services.IVirtualNodeServiceFactory nodeFactory

### TRIGGER

    public static final java.lang.String TRIGGER

### INDEX

    public static final java.lang.String INDEX

### CONSTRAINT

    public static final java.lang.String CONSTRAINT

### COLUMN

    public static final java.lang.String COLUMN

### DEPENDENCY

    public static final java.lang.String DEPENDENCY

### PRIMARY_KEY_FOLDER

    public static final java.lang.String PRIMARY_KEY_FOLDER

### UNIQUE_CONSTRAINT_FOLDER

    public static final java.lang.String UNIQUE_CONSTRAINT_FOLDER

### CHECK_CONSTRAINT_FOLDER

    public static final java.lang.String CHECK_CONSTRAINT_FOLDER

### FOREIGN_KEY_FOLDER

    public static final java.lang.String FOREIGN_KEY_FOLDER

Constructor Detail

### DSEContentProviderUtil

    public DSEContentProviderUtil()

Method Detail

### getTableChildren

    public static java.lang.Object[] getTableChildren(java.lang.Object parent)

### getProxyTableChildren

    public static java.lang.Object[] getProxyTableChildren(java.lang.Object parent)

### getViewTableChildren

    public static java.lang.Object[] getViewTableChildren(java.lang.Object parent)

### getConstraintNodeChildren

    public static java.lang.Object[] getConstraintNodeChildren(java.lang.Object parent)

### getArrays

    public static java.lang.Object[] getArrays(java.lang.Object parent,
                                               java.util.Collection collection)

### getUDTDisplayNameFormatedText

    public static java.lang.String getUDTDisplayNameFormatedText(java.lang.Object obj)

  Display the primitive data type definition in display of UDT name

  Parameters:
    `obj` -
  Returns:

### getParameterDisplayNameFormatedText

    public static java.lang.String getParameterDisplayNameFormatedText(java.lang.Object obj)

  Display the primitive data type definition in display of UDT name

  Parameters:
    `obj` -
  Returns:

### appendOwnerToLabel

    public static java.util.List appendOwnerToLabel(java.util.List sqlObjects,
                                                    java.lang.String owner,
                                                    boolean isShowOwner)

### isObjectRenamed

    public static boolean isObjectRenamed(SQLObject sqlObject)

### appendOwnerToLabel

    public static java.lang.String appendOwnerToLabel(java.lang.String label,
                                                      java.lang.String owner)

### appendOwnerToLabel

    public static java.lang.String appendOwnerToLabel(SQLObject element)